#if !defined(CAMERA_H)
#define CAMERA_H

#include "vector3d.h"
#include "matrix3x3.h"

class Camera3D
{
public:
   Vector3D position;
   Matrix3x3 transitionMatrix;
   Matrix3x3 transitionMatrixTranspose;
   Camera3D(Vector3D position, Matrix3x3 transitionMatrix);
   Vector3D toCameraSpace(Vector3D argument);
   Vector3D fromCameraSpace(Vector3D argument);
};

#endif
