#if !defined(SCREEN_H)
#define SCREEN_H

#include "rgbcolour.h"
#include "misc.h"

class Screen
{
public:
   RGBColour *image;
   int screenWidth;
   int screenHeight;
   float FOV;
   float screenCameraDistance;
   Screen(int screenWidth, int screenHeight, RGBColour background, float FOV = PI / 2);
   ~Screen();
   void putPixel(int x, int y, RGBColour pixelColour);
};

#endif
