#if !defined(VECTOR3D_H)
#define VECTOR3D_H

class Vector3D
{
public:
   float x, y, z;
   Vector3D(float x = 0.0, float y = 0.0, float z = 0.0);
   Vector3D operator*(float scalar);
   Vector3D operator+(Vector3D argument);
   Vector3D operator-(Vector3D argument);
   float dot(Vector3D argument);
   Vector3D cross(Vector3D argument);
   float length();
   void normalise();
};

#endif
