#if !defined(BMP24_H)
#define BMP24_H

#include "rgbcolour.h"

class BITMAPFILEHEADER
{
public:
   static const int LENGTH = 14; // I need this because the sizeof operator won't return the correct value if it's running on 32bit architecture or something similar.
   unsigned short bfType;
   unsigned long bfSize;
   unsigned short bfReserved1;
   unsigned short bfReserved2;
   unsigned long bfOffBits;
};

class BITMAPINFOHEADER
{
public:
   static const int LENGTH = 40; // I need this because the sizeof operator won't return the correct value if it's running on 32bit architecture or something similar.
   unsigned long biSize;
   long biWidth;
   long biHeight;
   unsigned short biPlanes;
   unsigned short biBitCount;
   unsigned long biCompression;
   unsigned long biSizeImage;
   long biXPelsPerMeter;
   long biYPelsPerMeter;
   unsigned long biClrUsed;
   unsigned long biClrImportant;
};

void loadBMP24(char *fileName, RGBColour *image);
void saveBMP24(char *fileName, RGBColour *image, int width, int height);

#endif
